## Class limitation_error

boost::log::limitation_error — Exception class that is used to indicate library limitation.

## Synopsis

    // In header: <boost/log/exceptions.hpp>

    class limitation_error : public logic_error {
    public:
      // construct/copy/destruct
      limitation_error();
      explicit limitation_error(std::string const &);
      ~limitation_error();
    };

## Description

### `limitation_error` public construct/copy/destruct

1.     limitation_error();

   Default constructor. Creates an exception with the default error message.

2.     explicit limitation_error(std::string const & descr);

   Initializing constructor. Creates an exception with the specified error message.

3.     ~limitation_error();

   Destructor